{include file='modules/servers/puqWireGuardBusinessVPN/templates/header.tpl'}
<h2>{$vpn->lang['Port Forwarding']}</h2>


<form method="post" action="{$vpn->url}clientarea.php?action=productdetails&id={$vpn->service_id}&action_m=port_forwarding">


    <table class="table">

        <tr>
            <td><i class="fa fa-arrow-right">&nbsp;&nbsp;</i>{$vpn->lang['From']}</td>
            <td>
                <div class="input-group margin-bottom-5">
                            <span class="input-group-btn input-group-append">
                                <label class="form-control" style="border-top-right-radius:0; border-bottom-right-radius:0;padding-right: 1px;">{$vpn->service_dedicatedip}:</label>
                            </span>
                    <input min="1" max="65536" id="dst_port" type="number" name="dst_port" class="form-control" placeholder="{$vpn->lang['Enter port']}" /required >
                    <select id="protocol" name="protocol" class="form-control custom-select">
                        <option value="tcp">tcp</option>
                        <option value="udp">udp</option>
                    </select>
                </div>
            </td>
        </tr>
        <tr>
            <td><i class="fa fa-forward">&nbsp;&nbsp;</i>{$vpn->lang['To']}</td>
            <td>
                <div class="input-group margin-bottom-5">
                    <select id="to_peer" name="to_peer" class="form-control custom-select">
                        {foreach from=$vpn->service_vpn_accounts key=key item=value}
                            <option value="{$value['name']}">{$value['name']} ({$value['allowed_IPs']})</option>
                        {/foreach}
                    </select>
                    <input min="1" max="65536" id="to_port" type="number" name="to_port" class="form-control" placeholder="{$vpn->lang['Enter port']}" /required >

                </div>

            </td>
        </tr>
        <tr>
            <td></td>
            <td><button onclick="return AddPortForwarding();" type="submit" class="btn btn-success" name="submit" value="add_port_forwarding"><i class="fa fa-plus">&nbsp;&nbsp;</i>{$vpn->lang['Add port forwarding']}</button></td>
        </tr>
    </table>

</form>



<table class="table table-list">
    <tr>
        <th><b>{$vpn->lang['Public IP:PORT']}</b></th>
        <th><b>{$vpn->lang['To IP:PORT']}</b></th>
        <th></th>

    </tr>
    <tbody>
    {foreach from=$vpn->service_port_forwarding key=key item=value}
        <tr>

            <td><i class="fa fa-arrow-right">&nbsp;&nbsp;</i>{$vpn->service_dedicatedip}:{$value['dst_port']}<br>{$value['protocol']}</td>
            <td>
                {foreach from=$vpn->service_vpn_accounts key=key item=value2}
                    {if $value2['name'] eq $value['to_peer']}
                        <i class="fa fa-forward">&nbsp;&nbsp;</i>{$value2['allowed_IPs']}:{$value['to_port']}<br>
                    {/if}
                {/foreach}
                ({$value['to_peer']})</td>
            <td><a href="{$vpn->url}clientarea.php?action=productdetails&id={$vpn->service_id}&action_m=port_forwarding&delete={$value['dst_port']}&protocol={$value['protocol']}" onclick="loading();" type="submit" class="btn btn-danger" ><i class="fa fa-times">&nbsp;&nbsp;</i>{$vpn->lang['Delete']}</a></td>
        </tr>
    {/foreach}
    </tbody>
</table>

<script type="text/javascript">
    function AddPortForwarding() {
        var dst_port = document.getElementById('dst_port').value;
        var protocol = document.getElementById('protocol').value;
        var to_peer = document.getElementById('to_peer').value;
        var to_port = document.getElementById('to_port').value;

        if(dst_port>65536||dst_port<1){
            return true
        }
        if(to_port>65536||to_port<1){
            return true
        }

        if(dst_port === '' || protocol === '' || to_peer === ''|| to_port === ''){
            return true
        }else{
            loading();
            return true
        }
    }
</script>
